4Z API

Create a video generation task

Endpoint: POST https://4zapi.com/volc/v1/contents/generations/tasks

Submit Seedance/Doubao video generation task.

Request body (application/json)

  • content (array<object>, required): Text/image content array
  • model (string, required): Model name
  • callback_url (string): Callback URL invoked on task completion

Request example

{
  "content": [
    {
      "text": "女孩抱着狐狸,女孩睁开眼,温柔地看向镜头,狐狸友善地抱着,镜头缓缓拉出,女孩的头发被风吹动,可以听到风声",
      "type": "text"
    },
    {
      "image_url": {
        "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/i2v_foxrgirl.png"
      },
      "type": "image_url"
    }
  ],
  "duration": 4,
  "model": "doubao-seedance-2-5-260628",
  "ratio": "adaptive",
  "watermark": false
}